{% extends "layout.twig" %}

{% block body %}
	<h1 class="text-center">Add your Category !</h1>
	{% if errorForm %}
		<p class="text-danger">Please fix the following errors.</p>
		<ul class="errors">
			{% for error in errorForm %}
				{% if error.title %}
					<li>{{ error.title.message }}</li>
				{% endif %}
				{% if error.description %}
					<li>{{ error.description.message }}</li>
				{% endif %}
				
			{% endfor %}
		</ul>

	{% endif %}


	<form action="" method="POST">
		<div class="form-group">
			<label for="">Title :
			</label>
			<input type="text" name="title" class="form-control">
		</div>

		{# <div class="form-group">
			<label for="">Category :
			</label>
			<select name="category" id="" class="form-control">
				<option>Choice your article category!</option>
				{% if categories %}
					{% for category in categories %}

						<option value="{{ category.title}}">{{ category.title}}</option>

					{% endfor %}
				{% endif %}


			</select>
		</div> #}

		<div class="form-group">
			<label for="">Description :
			</label>
			<textarea name="description" id="description" class="form-control" cols="30" rows="10"></textarea>
		</div>

		{# <div class="form-group">
			<label for="">Image :
			</label>
			<input type="file" name="image" class="form-control">
		</div> #}
		<button class="btn btn-success mt-3">Add Category</button>
	</form>


{% endblock %}
{% block javascript %}
	<script src="https://cdn.ckeditor.com/ckeditor5/33.0.0/classic/ckeditor.js"></script>
	<script>
		ClassicEditor.create(document.querySelector('#description')).catch(error => {
console.error(error);
});
	</script>

{% endblock %}
